| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Protocols
Protocols.LDAP
Protocols.LDAP.client

# Method Protocols.LDAP.client()->set_scope()

Method set_scope

  `int set_scope(int|string scope)`

Description

  Sets value of scope for search operation.

Parameter `scope`

  The value can be one of the `SCOPE_*` constants or a string `"base"`, `"one"` or `"sub"`.

Returns

  Returns the `SCOPE_*` constant for the old scope.